Method: projects.locations.connections.gitRepositoryLinks.fetchPullRequest

從 Git 存放區連結擷取提取要求詳細資料。

HTTP 要求

GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequest

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,GitRepositoryLink 的資源名稱,格式為 projects/*/locations/*/connections/*/gitRepositoryLinks/*。

查詢參數

參數
pullRequestId

string

這是必要旗標,提取要求的 ID。

要求主體

要求主體必須為空白。

回應主體

如果成功,回應主體會包含 PullRequest 的執行個體。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview。

IAM 權限

需要 name 資源的下列 IAM 權限:

  • developerconnect.gitRepositoryLinks.fetchPullRequest

詳情請參閱 IAM 說明文件。